# $Revision: 1.37 $, $Date: 2011/10/07 10:16:24 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-DSA
Summary:	Crypt::OpenSSL::DSA - Digital Signature Algorithm using OpenSSL
Summary(pl.UTF-8):	Crypt::OpenSSL::DSA - algorytm DSA używający OpenSSL
Name:		perl-Crypt-OpenSSL-DSA
Version:	0.13
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3ae371799108731623a8d9b3adf7f767
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-DSA/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::DSA implements the DSA (Digital Signature Algorithm)
signature verification system.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::DSA jest implementacją systemu weryfikacji
podpisów DSA (Digital Signature Algorithm).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

##### were disabled - some of tests fail randomly ?
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/DSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA
%{perl_vendorarch}/auto/Crypt/OpenSSL/DSA/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-OpenSSL-DSA.spec,v $
Revision 1.37  2011/10/07 10:16:24  lisu
- rel 8

Revision 1.36  2010/11/12 23:38:22  pawelz
- release 7

Revision 1.35  2010/06/06 08:33:16  arekm
- release 6

Revision 1.34  2010/05/14 16:26:09  sparky
- BR: openssl-tools, which

Revision 1.33  2010/04/12 19:28:50  arekm
- release 5

Revision 1.32  2009/03/14 11:34:00  hawk
- release 4

Revision 1.31  2008/03/15 20:29:10  qboosh
- generic URL

Revision 1.30  2008-03-02 17:31:12  radek
- release 3

Revision 1.29  2008-02-10 12:04:25  arekm
- rel 2

Revision 1.28  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.27  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.25  2006/04/07 20:23:06  agaran
- up to 0.13 rel 1 builds here

Revision 1.24  2005/06/14 07:56:02  petec
- up to 0.12

Revision 1.23  2004/11/03 22:30:13  paladine
- formatting

Revision 1.22  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.21  2004/05/07 01:09:18  ankry
- rel. 3

Revision 1.20  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.18  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.17  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.16  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.15  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.14  2003/09/30 20:18:29  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.13  2003/08/18 08:08:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/01 18:46:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:29:18  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.6  2003/01/15 17:52:27  mis
- autoupdated to 0.11

Revision 1.5  2002/10/05 21:12:47  ankry
- updated to 0.10
- tests seem to work now
- remove .pod file

Revision 1.4  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.3  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.2  2002/07/20 10:18:03  qboosh
- added OPTIMIZE

Revision 1.1  2002/07/19 23:05:47  ankry
- initial spec, STBR
